<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd"><html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8">
        <title>Example: Reset Buttons (YUI Library)</title>

        <!-- Reset and Fonts -->
        <link rel="stylesheet" type="text/css" href="../../build/reset/reset.css">
        <link rel="stylesheet" type="text/css" href="../../build/fonts/fonts.css">
 
        <!-- CSS for Button -->
        <link rel="stylesheet" type="text/css" href="../../build/button/assets/button.css">
 
        <!-- Page-specific styles -->
        <style type="text/css">

            body { margin:.5em; }

            h1 { font-weight:bold; }

            fieldset, 
            fieldset div {

                border:2px groove #ccc;
                margin:.5em;
                padding:.5em;

            }

        </style>

        
        <!-- Dependency source files -->
        <script type="text/javascript" src="../../build/yahoo-dom-event/yahoo-dom-event.js"></script>
        <script type="text/javascript" src="../../build/element/element-beta.js"></script>

        <!-- Button source file -->
        <script type="text/javascript" src="../../build/button/button-beta.js"></script>

        <!-- Page-specific JavaScript -->
        <script type="text/javascript">

            var oResetButton1 = new YAHOO.widget.Button("resetbutton1src", { id:"resetbutton1" });
            var oResetButton2 = new YAHOO.widget.Button("resetbutton2", { type:"reset" });
            var oResetButton3 = new YAHOO.widget.Button({ type:"reset", label:"Reset Form", id:"resetfield3", container: "resetbuttonsfromjavascript" });

        </script>

    </head>
    <body>

        <h1>Example: Reset Buttons (YUI Library) <em>[<a href="index.html">Examples Home</a>]</em></h1>

        <form id="example" name="example" method="post" action="example06.html">

            <fieldset>
                <legend>Info</legend>

                <label for="firstname">First Name: </label><input type="text" id="firstname" name="firstname" value="">
                <label for="lastname">Last Name: </label><input type="text" id="lastname" name="lastname" value="">
    
                <div>
                    <label for="male">Gender: </label>
                    
                    <label for="male">Male </label>
                    <input type="radio" id="male" name="gender" value="male" checked>
                    
                    <label for="female">Female </label>
                    <input type="radio" id="female" name="gender" value="female">
                </div>
    
                <div>
                    <label for="month">Birthday: </label>
                    <select id="month" name="month"><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8">8</option><option value="9">9</option><option value="10">10</option><option value="11">11</option><option value="12">12</option></select>
                    <select name="day"><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8">8</option><option value="9">9</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option></select>
                    <input type="text" name="year" value="">
                </div>

            </fieldset>

            <fieldset id="resetbuttons">
                <legend>Reset Buttons</legend>

                <fieldset id="resetbuttonsfrommarkup">
                    <legend>From Markup</legend>

                    <input id="resetbutton1src" type="reset" name="resetfield1" value="Reset Form">

                    <span id="resetbutton2" class="yuibutton"><span class="first-child"><button type="button" name="resetfield2">Reset Form</button></span></span>

                </fieldset>

                <fieldset id="resetbuttonsfromjavascript">
                    <legend>From JavaScript</legend>
                </fieldset>

            </fieldset>

        </form>

    </body>
</html>